Subject: RE: "Application failed to initialize (0xc0000022)"
From: "Ralf Habacker" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 14 Oct 2002 08:03:25 +0200

Hi Jashon,

> > Thanks for the pointer. My main problem was that I had somehow gotten
> > a version of rebase that took different parameters (it's not the
> > Microsoft one--it may have come from the KDE site). The version from
> > your site is more like what I expected.

The basic functionality is the same, but has some extends because
	1. Win Me doesn't have a rebase function and
	2. it contains some stuff to fix the corruptions of dll's stripped by recent
strip command.

$ rebase --help
rebase Release: 0.4
usage: rebase [-D] -b BaseAddress [-d] -o Offset <file> ...  rebase <file>
([-D] print debug infos)
usage: rebase [-D] -l <file> ...        list Imagebase and -size of <file>
usage: rebase [-D] -c                   check relocations
usage: rebase [-D] -f                   fix bad relocations

I have written this because the were some needs for enhancements and I don't
like the idea to have multiples rebase, but for KDE I need this too.
So if someone will take this rebase enhancements and add this to Jasons rebase,
do it.
And if this tool will be added to the cygwin or cygutil package (The first I
think will be the best) there is no need to put it on the kde-cygwin download
area.

>
> My goal was to make my rebase as similar in usage to the Microsoft one
> as possible.
>
And what about Win ME ? How do you could archive your goal, when there isn't any
rebase support ?

Regards
Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/